erwan2004

Membres
  • Compteur de contenus

    2 000
  • Inscription

  • Dernière visite

Tout ce qui a été posté par erwan2004

  1. La lib n'est pas installé . Compile la lib et regarde le log . Ma boule de cristal me dit que tu a un problème avec "dirent.h" Edit: un lien vers mon script (fichier pour linux, ) http://rwan.fr/ftp/Xbox360/Developpement/Libxenon/ Pour windows avec Notepad++= Edition => Comvertion de fin de ligne => convertir pour Windows . Utilisation: sh build-xenon-toolchain.sh toolchainsh build-xenon-toolchain.sh libxenonsh build-xenon-toolchain.sh cube
  2. Moi c'est : /home/test/Programmation/Xbox360/xenon/lib/gcc/xenon/4.4.0/../../../../xenon/bin/ld: crt1.o: No such file: No such file or directorycollect2: ld returned 1 exit status Toi c'est un preoblème de path, fait : export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/home/test/Programmation/Xbox360/xenon/usr/lib Cherche "libxenon.a" (regard dans "xenon/usr/lib") est adapte le chemin du "/home/test/Programmation/Xbox360/xenon/usr/lib"
  3. J'ai pas trouvé la solution pour le problème avec LD. Si ca intéresse quelqu'un voila le toolchain revu a ma sauce : #!/bin/bash # originally written by Uwe Hermann <uwe@hermann-uwe.de>, released as public domain. # changed for xenon by Felix Domke <tmbinc@elitedvb.net>, still public domain # Modifie: probleme avec la detection des commandes, rajout d'un patch, rajout de securitres TARGET=xenon #PREFIX="/$HOME/Programmation/Xbox360/xenon" version cygwin PREFIX="$HOME/Programmation/Xbox360/xenon" # Install location of your final toolchain PARALLEL="-j 2" # Or: PARALLEL="" BINUTILS=binutils-2.19.1 GCC=gcc-4.4.0 NEWLIB=newlib-1.17.0 GDB=gdb-6.8 BUILD_BINUTILS=true BUILD_GCC=true BUILD_NEWLIB=true BUILD_GCC_SECOND=true # path to the logfile LOGFILE="`pwd`/build.log" # temp variables export export PATH="$PATH":"$PREFIX/bin" export DEVKITXENON="$HOME/Programmation/Xbox360/xenon" export PATH="$PATH":"$DEVKITXENON/bin":"$DEVKITXENON/usr/bin" #echo $PATH # verifie les commandes sont installees # 0=ok 1= pas commande 2= mauvaise argumentation deteccom () { echo "*****************Check Command**********************" which $1 case $? in 0) echo "$1: Command found/Commande trouvee" ;; 1) echo "*****************ATTENTION**********************" echo "$1: Command no found/Commande non trouvee" echo "*****************ATTENTION**********************" ;; *) echo "Error/Erreur" ;; esac echo "" } checkcommand () { deteccom make deteccom git deteccom gcc deteccom patch deteccom makein fodeteccom flex deteccom bison } libxenon_install () { # controle de la presence de GCC+ if [ ! -e "$PREFIX/bin/xenon-g++" ]; then echo "complateur GCC absent, installez le" exit 1 fi rm -rf free60 &>/dev/null #check if git is present to download and install libxenon echo "***** Downloading libxenon *****" git clone git://free60.git.sourceforge.net/gitroot/free60/free60 >> $LOGFILE 2>&1 #patch pour le probleme avec inc <dirent.h> cp free60/libxenon/drivers/newlib/dirent.h $PREFIX/xenon/include/sys/dirent.h echo "****** Building libxenon *****" make -C free60/libxenon/ports/xenon libxenon.a >> $LOGFILE 2>&1 make -C free60/libxenon/ports/xenon install >> $LOGFILE 2>&1 cp free60/devkitxenon/app.lds free60/devkitxenon/rules $PREFIX/ echo "***** startup crt fix *****" cp free60/libxenon/startup/xenon/crt1.o $PREFIX/lib/ cp free60/libxenon/ports/xenon/crti.o $PREFIX/lib/ cp free60/libxenon/ports/xenon/crtn.o $PREFIX/lib/ # controle de l'installation de libxenon if [ ! -e "$PREFIX/usr/lib/libxenon.a" ]; then echo "libxenon absent, regardez le log" exit 1 fi } toolchain_install () { # Make working directory echo "Creating final xenon toolchain directory: $PREFIX" if [ ! -d $PREFIX ]; then mkdir $PREFIX fi # Check if binutils sources are available, download it if needed if [ ! -f "$BINUTILS.tar.bz2" ]; then echo "Downloading $BINUTILS.tar.bz2" wget -c http://ftp.gnu.org/gnu/binutils/$BINUTILS.tar.bz2 || exit 0 fi # Check if gcc sources are available, download it if needed if [ ! -f "$GCC.tar.bz2" ]; then echo "Downloading $GCC.tar.bz2" wget -c ftp://ftp.gnu.org/gnu/gcc/$GCC/$GCC.tar.bz2 || exit 0 fi # Check if newlib sources are available, download it if needed if [ ! -f "$NEWLIB.tar.gz" ]; then echo "Downloading $NEWLIB.tar.gz" wget -c ftp://sources.redhat.com/pub/newlib/$NEWLIB.tar.gz || exit 0 fi rm -rf build mkdir build if $BUILD_BINUTILS; then echo "Extracting binutils..." tar xfj $BINUTILS.tar.bz2 >> $LOGFILE 2>&1 && cat binutils.diff | patch -p0 >> $LOGFILE 2>&1 || exit 0 cd build echo "Configuring binutils..." ../$BINUTILS/configure --target=$TARGET --prefix=$PREFIX --enable-multilib --disable-nls --disable-werror >> $LOGFILE 2>&1 || exit 0 echo "Building binutils, this could take a while..." make $PARALLEL >> $LOGFILE 2>&1 || exit 0 make install >> $LOGFILE 2>&1 || exit 0 cd .. rm -rf build/*; echo "Done" fi if $BUILD_GCC; then echo "Extracting gcc..." tar xfj $GCC.tar.bz2 >> $LOGFILE 2>&1 && cat gcc.diff | patch -p0 >> $LOGFILE 2>&1 || exit 0 cd build echo "Configuring gcc..." ../$GCC/configure --target=$TARGET --prefix=$PREFIX --with-libiconv-prefix=/opt/local -enable-interwork --enable-multilib \ --enable-languages="c" --without-headers --disable-shared \ --with-newlib --disable-libgomp --disable-libmudflap --disable-libssp --disable-nls --disable-shared --disable-threads --without-headers \ --disable-decimal-float \ --with-gmp=/opt/local --with-mpfr=/opt/local --with-cpu=cell >> $LOGFILE 2>&1 || exit 0 echo "Building gcc, this could take a while..." make $PARALLEL all-gcc >> $LOGFILE 2>&1 || exit 0 make install-gcc >> $LOGFILE 2>&1 || exit 0 cd .. rm -rf build/* echo "Done" fi; if $BUILD_NEWLIB; then echo "Extracting newlib..." tar xfz $NEWLIB.tar.gz >> $LOGFILE 2>&1 && cat newlib.diff | patch -p0 >> $LOGFILE 2>&1 || exit 0 cd build echo "Configuring newlib..." ../$NEWLIB/configure --target=$TARGET --prefix=$PREFIX --enable-multilib --disable-nls >> $LOGFILE 2>&1 || exit 0 echo "Building newlib, this could take a while..." make $PARALLEL >> $LOGFILE 2>&1 || exit 0 make install >> $LOGFILE 2>&1 || exit 0 cd .. rm -rf build/* echo "Done" fi if $BUILD_GCC_SECOND; then # Yes, you need to build gcc again! cd build echo "Configuring gcc - 2nd pass..." ../$GCC/configure --target=$TARGET --prefix=$PREFIX --with-libiconv-prefix=/opt/local \ --enable-multilib --with-cpu=cell \ --with-gmp=/opt/local --with-mpfr=/opt/local --disable-decimal-float \ --enable-languages=c,c++ --disable-libssp --with-newlib --enable-cxx-flags="-G0" --disable-libgomp \ --disable-libmudflap --disable-nls --disable-shared --disable-threads --disable-linux-futex \ >> $LOGFILE 2>&1 || exit 0 echo "Building gcc - 2nd pass, this could take a while..." make $PARALLEL >> $LOGFILE 2>&1 || exit 0 make install >> $LOGFILE 2>&1 || exit 0 cd .. rm -rf build/* fi rm -rf build if [ ! -e "$PREFIX/bin/xenon-g++" ]; then echo "complateur GCC absent, regardez le log" exit 1 fi echo "***** Fin du script -toochain- *****" } cube () { if [ ! -e "free60" ]; then echo "Downloading Cube Sample" git clone git://free60.git.sourceforge.net/gitroot/free60/free60 >> $LOGFILE 2>&1 fi echo "Downloading Cube Sample" git clone git://free60.git.sourceforge.net/gitroot/free60/free60 >> $LOGFILE 2>&1 echo "Building Cube Sample..." make -C free60/devkitxenon/examples/xenon/graphics/cube >> $LOGFILE 2>&1 #cp free60/devkitxenon/examples/xenon/graphics/cube/cube.elf32 . if [ ! -e "free60/devkitxenon/examples/xenon/graphics/cube/cube.elf32" ]; then echo "Executable elf absent, regardez le log" exit 1 fi echo echo "cube.elf32 compiled, run it via xell" echo } # clean if [ -e "$LOGFILE" ]; then rm $LOGFILE &>/dev/null fi #menus case "$1" in "toolchain") checkcommand toolchain_install libxenon_install ;; "libxenon") libxenon_install ;; "cube") cube ;; *) echo "Usage:" echo "\"$0 toolchain\" (install toolchain + libxenon)" echo "\"$0 libxenon\" (install or update libxenon)" echo "\"$0 cube\" (compile the cube sample)" echo "Package: libgmp3(-dev) build-essential and libmpfr(-dev)" ;; esac Edit: pensez a vérifier que libgmp3-dev et libmpfr-dev sont installé .
  4. Une fois installer, on me demande de bouter via Xell-bootloader-sda2 . Quelqu'un sais de quoi il est question ?
  5. Bon, j'ai réussi a compiler ce pu*ain de toolchain (script de merde) . Mais j'a un problème avec la compilation du cube, ld ne trouve pas le crt1.o . J'ai bricolé des liens, des include (-I) dans le makefile mais rien n'y fait. Si quelqu'un a des infos, je suis preneur .
  6. Je parlais de l'accélération graphique . Ah ok, le live CD y avait pas tous cas .... y a des versions installable ?
  7. erwan2004

    Conseil Achat Matériel Pc

    promo: HD5770 a 99€
  8. erwan2004

    Conseil Achat Matériel Pc

    Avec un Gemini II, plus problème de chauffe, ni de bruit ;p
  9. erwan2004

    Gentoo Sur Disque Dur?

    Non pas possible.
  10. erwan2004

    La 3d

    Parce que j'ai pris "Cela ne m'emballe pas + que ça" .
  11. erwan2004

    Conseil Achat Matériel Pc

    Ah ?? lol oui y en a qu'un. Enfin c'est pas avec sa config. qu'un va chauffer même avec une HD 4850
  12. erwan2004

    Conseil Achat Matériel Pc

    C'est un bon boitier, il y a 2 ventilateurs 12 cm à 3 positions fournit avec . De rien Tekalix
  13. Salut, Y a t' il gens qui savent comment programmer sans utiliser le SDK de MS ? Il existe bien Linux mais il est tres peu evoluer (pas d'audio, ni de support de clef usb et du HDD encore moin de la partie graphique).
  14. erwan2004

    Sony instaure le Gamer du mois

    Lien HS: http://fr.wikipedia.org/wiki/Trophee
  15. Moi j'ai résolut la question en ayant une console clean et une autre hacké .
  16. Ok, donne le liens vers l'ecran 3D a 150€
  17. ACER Vidéoprojecteur DLP - 16/9 - 3D Ready - X1130 P3DR # Résolution native SVGA 800 x 600 Et a 150 tu auras un 19 pcs (et encore) PS j'ai pas Iphone pas de Macbook et un forfait Ideo alors lol ....
  18. Lol t'es gentil toi, mais un projo 3D ready c'est 1600€ à lui tout seul. Et les écrans PC 3D c'est 300€ en entrée de gamme (22 pcs).
  19. erwan2004

    La 3d

    Pareil que Pesos. Les machine actuel sont trop lègère pour faire tourner des jeux en "3D" et les écrans trop chère .
  20. erwan2004

    XeLL-0.3.r99.2

    Ah ok merci
  21. erwan2004

    XeLL-0.3.r99.2

    Comment on boote en Xell ? Il faut une puce dual NAND ?
  22. erwan2004

    XeLL-0.3.r99.2

    Xell fonctionne via XBReboot pour lancer Linux ?
  23. erwan2004

    Snes360 V0.21 Beta

    Quelqu'un pourrait me dire comment installer et lancer cette emulateur sur une Xbox 360 ? Ma console est compatible XBReboot mais Xplorer360.beta6 refuse de copier les fichier dans le fameux répertoire "HDD:Content/000000000000000/" mais "HDD:Content/"
  24. Les camera prennent un photo chaqu' une, avec la un algorithme de triangulation , on obtient la position du joueur dans l'espace. Le capteur thermique permet lui de repérer le joueur et ses mouvements . Y a deja des programmes qui font plus ou moin ca et avec plus ou moin de suces.